View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000657Ecere SDKidepublic2011-10-14 04:362013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000657: Crash in GlobalSettingsDialog deleting 2 compilers in a row
DescriptionDelete 2 compilers, boom
Additional InformationAlso noticed that the Default compiler toolchain isn't grayed out for me?
(had multiple compilers set up)
TagsNo tags attached.
Attached Files

- Relationships
related to 0000656closedjerome Crash in GlobalSettingsDialog / Compilers Tab on second Destroy 

-  Notes
(0000473)
jerome (administrator)
2011-10-14 04:43

Callstack:


  0 __ecereNameSpace__ecere__gui__controls__DirectoriesBox_Set_strings Property, src\gui\controls\PathBox.ec:349
  1 CompilerDirectoriesTab_Load Method, src\dialogs\GlobalSettingsDialog.ec:630
  2 CompilersTab_LoadCompiler Method, src\dialogs\GlobalSettingsDialog.ec:506
  3 CompilersTab_CompilerClicked Method, src\dialogs\GlobalSettingsDialog.ec:517
  4 SelectorBar_RemoveButton Method, ..\extras\gui\controls\SelectorBar.ec:92
  5 __ecereInstMeth___ecereNameSpace__ecere__gui__controls__Button_NotifyClicked__00000009 Function, src\dialogs\GlobalSettingsDialog.ec:437
  6 __ecereNameSpace__ecere__gui__controls__Button_OnLeftButtonUp Method, src\gui\controls\Button.ec:574
  7 __ecereNameSpace__ecere__gui__Window_MouseMessage Method, src\gui\Window.ec:4156
  8 __ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow Method, src\gui\drivers\Win32Interface.ec:818
(0000476)
jerome (administrator)
2011-10-14 06:28

Reverted unstable Stacker.ec modifications (FlipStacker/Spring etc.)

https://github.com/ecere/sdk/commit/28a771133cb578c040cf7f6e06588400eb3103ec [^]
(0000480)
jerome (administrator)
2011-10-17 06:09

About the Default CompilerConfig not being grayed out, I had probably deleted the:
"ReadOnly" : true
property manually from ecereIDE.ini.

- Issue History
Date Modified Username Field Change
2011-10-14 04:36 jerome New Issue
2011-10-14 04:37 jerome Additional Information Updated
2011-10-14 04:43 jerome Note Added: 0000473
2011-10-14 06:25 jerome Relationship added related to 0000656
2011-10-14 06:28 jerome Status new => resolved
2011-10-14 06:28 jerome Fixed in Version => 0.44 pre-release 2
2011-10-14 06:28 jerome Resolution open => fixed
2011-10-14 06:28 jerome Assigned To => jerome
2011-10-14 06:28 jerome Note Added: 0000476
2011-10-17 06:09 jerome Note Added: 0000480
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker